org.eclipse.oomph.p2.core

## Interface AgentElement

- All Superinterfaces:
    AgentManagerElement
  All Known Subinterfaces:
    BundlePool, Profile

      public interface AgentElement
      extends AgentManagerElement

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Agent` | `getAgent()`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.AgentManagerElement

      `delete, delete, getAgentManager, getLocation, isCurrent, isUsed, isValid`

- - ### Method Detail

    - #### getAgent

          Agent getAgent()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html